<template>
    <div class="purse-row">
        <div class="purse-row__wrapper">
            <div class="purse-row__header">
                <div v-if="$interface.viewport !== 'mobile'" class="purse-row__column">
                    <SVGIcon class="purse-row__bank-icon"
                             :xlink="bank.icon"
                             viewBox="0 0 70 45"/>
                </div>
                <div class="purse-row__column purse-row__column-info">
                    <div class="purse-row__name">{{bank.name}}</div>
                </div>
                <div class="purse-row__column purse-row__column-info">
                    <div class="purse-row__payment-system">
                        <SVGIcon class="purse-row__payment-system-icon"
                                 xlink="check-mark"
                                 viewBox="0 0 20 20"/>
                        {{card.number}}
                    </div>
                </div>
            </div>
            <div class="purse-row__footer">
                <!--<div v-if="bound" class="purse-row__footer-button">-->
                    <!--<SVGIcon class="purse-row__footer-button-icon" xlink="acceptance-expand-24" viewBox="0 0 24 24"/>-->
                    <!--<span class="link blue">Добавить автоплатеж</span>-->
                <!--</div>-->
                <div class="purse-row__footer-button">
                    <SVGIcon v-if="bound" class="purse-row__footer-button-icon" xlink="attention-20" viewBox="0 0 20 20"/>
                    <span v-if="bound" class="purse-row__footer-bound-it">Кошелек не идентифицирован <a class="link blue" href="">привязать</a></span>
                </div>
                <div class="purse-row__footer-buttons-holder">
                    <div class="purse-row__footer-button-in-holder" v-if="!main">Сделать основной</div>
                    <div class="purse-row__footer-button-in-holder" v-if="remove">Удалить кошелек</div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
    import SVGIcon from "../SVGIcon/index";

    export default {
        name: "PurseRow",
        props: ['card', 'bank', 'system', 'bound', 'main', 'remove'],
        components: {
            SVGIcon
        }
    }
</script>